using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  520
    /// </summary>
    [DataContract]
    [SugarTable("FJ_Station520")]
    public class WCS_Station520 : IStation520
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 3)]
        public StationMode Mode { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 4)]
        public StationCmd CmdType { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 6)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 7)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
